Bug 523225 - Test Day: KMS intel booting: inbuilt display stays black, external works
Summary: Test Day: KMS intel booting: inbuilt display stays black, external works
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-14 14:16 UTC by Wolfgang Kufner
Modified: 2018-04-11 07:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-12 22:16:53 UTC


Attachments (Terms of Use)
I can screenshot what I can not see (871.70 KB, image/png)
2009-09-14 14:19 UTC, Wolfgang Kufner
no flags Details
/var/log/messages (2.20 MB, text/plain)
2009-09-14 14:21 UTC, Wolfgang Kufner
no flags Details
dmesg (44.10 KB, text/plain)
2009-09-14 14:22 UTC, Wolfgang Kufner
no flags Details
Xorg.0.log (80.82 KB, text/plain)
2009-09-14 14:23 UTC, Wolfgang Kufner
no flags Details
smoltprofile.txt (6.84 KB, text/plain)
2009-09-14 14:23 UTC, Wolfgang Kufner
no flags Details
xrandr.txt (766 bytes, text/plain)
2009-09-14 14:24 UTC, Wolfgang Kufner
no flags Details
sudo dd if=/dev/mem of=/tmp/rom bs=64k skip=12 count=1 (64.00 KB, application/octet-stream)
2009-09-23 06:10 UTC, Wolfgang Kufner
no flags Details
/proc/acpi/dsdt (36.32 KB, application/octet-stream)
2009-09-23 06:13 UTC, Wolfgang Kufner
no flags Details


Links
System ID Priority Status Summary Last Updated
Launchpad 425165 None None None Never

Description Wolfgang Kufner 2009-09-14 14:16:59 UTC
Booting with Test Day:2009-09-11 Intel live cd 64bit the inbuilt display always stays black after grub. Only the backlight goes on. After a while I can hear the melody played when it logs in automatically. But the display stays black. I shut it down blindly with power button + return. It shut down regularly.
Booting with an external display attached gives me a picture on the external only. I switched the internal off with xrandr. The backlight went off and I got the menubar and taskbar onto the external monitor.
I have repeated this (external monitor attached) again with drm.debug=1 and produced the attached logs.
A screenshot (Screenshot.png) taken shows the whole screen, including the part I never see. 

also tried switching internal on with xrandr --output LVDS1 --auto. the backlight comes back on but no picture.

with nomodeset it works fine.
dpms: screensaver does not kick in but power management does and it recovers correctly.
enabling desktop effects fails with something like hardware not supported.
Xv works.
fastuserswitching works.
VT terminal switching works.
suspend resume works with external.

I have also tried this with current ubuntu karmic and filed a bug there:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/425165

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07) (prog-if 00 [VGA controller])
	Subsystem: Acer Incorporated [ALI] Device [1025:0253]

/etc/X11/xorg.conf does not exist.

Comment 1 Wolfgang Kufner 2009-09-14 14:19:14 UTC
Created attachment 360949 [details]
I can screenshot what I can not see

Comment 2 Wolfgang Kufner 2009-09-14 14:21:38 UTC
Created attachment 360950 [details]
/var/log/messages

Comment 3 Wolfgang Kufner 2009-09-14 14:22:21 UTC
Created attachment 360951 [details]
dmesg

Comment 4 Wolfgang Kufner 2009-09-14 14:23:06 UTC
Created attachment 360952 [details]
Xorg.0.log

Comment 5 Wolfgang Kufner 2009-09-14 14:23:52 UTC
Created attachment 360953 [details]
smoltprofile.txt

Comment 6 Wolfgang Kufner 2009-09-14 14:24:17 UTC
Created attachment 360954 [details]
xrandr.txt

Comment 7 Adam Jackson 2009-09-22 16:01:06 UTC
Please do:

% sudo dd if=/dev/mem of=/tmp/rom bs=64k skip=12 count=1

and attach that, and /proc/acpi/dsdt, to this bug.

Comment 8 Wolfgang Kufner 2009-09-23 06:10:50 UTC
Created attachment 362172 [details]
sudo dd if=/dev/mem of=/tmp/rom bs=64k skip=12 count=1

Comment 9 Wolfgang Kufner 2009-09-23 06:13:15 UTC
Created attachment 362173 [details]
/proc/acpi/dsdt

Comment 10 Matěj Cepl 2009-11-05 17:16:31 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 11 Wolfgang Kufner 2009-11-12 16:48:45 UTC
verified fixed in nightly-composes desktop-x86_64-20091111.16.iso

thanks :-)

Comment 12 Chris Campbell 2009-11-12 22:16:53 UTC
Wolfgang, thank you very much for your efforts in finding and testing this bug! Setting it to CLOSED RAWHIDE due to your verification.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.